{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Файловый менеджер</h2>
    <hr>
    <a href="admin/files/add" class="btn btn-primary" role="button">Загрузить новый файл</a>
    <hr>
    <table class="table">
        <thead>
        <tr>
            <th>
                id
            </th>
            <th>
                Название
            </th>
            <th>
                Пути
            </th>
            <th>
                Тип
            </th>
            <th>
                Дата
            </th>
            <th>
                Действия
            </th>
        </tr>
        </thead>
        <tbody>
        {% for file in files %}
            <tr>
                <td>
                    {{ file.id }}
                </td>
                <td>
                    <img src="{{ file.path_sec }}" width="150px"><br>
                    {{ file.name }}
                </td>
                <td>
                    Оригинальный: <input type="text" value="{{ file.path }}"><br>
                    Сжатый: <input type="text" value="{{ file.path_sec }}"><br>
                    <a href="{{ file.path }}" target="_blank">Перейти</a>
                </td>

                <td>
                    {{ file.type }}
                </td>
                <td>
                    {{ file.date }}
                </td>
                <td>
                    <a href="admin/files/delete/{{ file.id }}" class="btn btn-danger" role="button">Удалить</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <nav aria-label="Page navigation">
        <ul class="pagination">
            <li {% if current_page == 1 %}class="disabled"{% endif %}>
                <a {% if current_page == 1 %}{% else %}href="admin/files?page={{ current_page - 1 }}{% endif %}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
            {% for page in 1..pages_number %}
                <li {% if current_page == page %}class="active"{% endif %}><a href="admin/files?page={{ page }}">{{ page }}</a></li>
            {% endfor %}
            <li {% if current_page == pages_number %}class="disabled"{% endif %}>
                <a {% if current_page == pages_number %}{% else %} href="admin/files?page={{ current_page + 1 }}{% endif %}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </ul>
    </nav>
{% endblock %}